Python script to calculate the Universal Activation Index for class A GPCRs


Prerequisites:
	- Python 3 (e.g. Anaconda, https://www.anaconda.com/ )
	- Biopython
	- Muscle binary (https://www.drive5.com/muscle )
	- Reference sequences file (ref_sequences.fasta)


Instructions:
1. -structure: Please provide a path for a .pdb/.ent/.cif structure or specify a RCSB PDB ID

2. -chain (optional): Please specify a chain name of the structure that contains the GPCR (default: A)

3. -del_res (optional): Please specify a range of non-GPCR (e.g. T4L, nanobody) residue numbers within the specified chain that should be deleted and thus be excluded from the alignment.
		- Please use the following format: {lowest residue number to be excluded}-{highest residue number to be excluded}
		- By default, the residue number range “1000-2000” is excluded. If this does not apply to the specified chain of the structure, please specify a different range.
		- If no residues should be excluded (i.e., all residues of the specified chain should be considered for the alignment), please specify “0-0”.

4.	-ref and -muscle (optional): Please provide the paths of the two files (default: ref_sequences.fasta and muscle.exe (Windows)/ muscle (other OS), respectively).

5. -v/-verbose (optional): Output detailed information on residue mapping/residues/atoms/distances

6.	Run the script: e.g. ./activation_index.py -structure 3sn6 (or 3sn6.pdb/3sn6.cif) -chain R -v (default values: -del_res 1000-2000 -ref ref_sequences.fasta -muscle ./muscle)

7.	Check if errors/ warnings occurred and change the parameters accordingly.
		- In some cases, the alignment might not find the correct most conserved residue numbers in one or even more of the seven transmembrane domains (output by warnings/errors).
		  In such cases, please look for the respective most conserved residue numbers (Ballesteros numbers 1.50 - 7.50) elsewhere (e.g. GPCRdb, https://www.gpcrdb.org/ ) and specify 
		  these residue numbers with the respective -TM(1-7)_50 options.



